# Dynamic linking

Instead of statically linking the library elements to the programs, create a dynamic library.

```sh
make
pushd pnm-info
./pnm-monolit-info ../../torony-o.ppm
LD_LIBRARY_PATH=../libpnm:$LD_LIBRARY_PATH ./pnm-monolit-info ../../torony-o.ppm
popd
pushd pnm-monolit-manipulate
LD_LIBRARY_PATH=../libpnm:$LD_LIBRARY_PATH ./pnm-monolit-manipulate ../../torony-o.ppm -PPM inverted.ppm -i
popd
pushd pnm-fuzz
LD_LIBRARY_PATH=../libpnm:$LD_LIBRARY_PATH ./pnm-fuzz ../../torony-o.ppm fuzzed.ppm
popd
make clean
```
